{
  buildHomeAssistantComponent,
  fetchFromGitHub,
  pkgs,
  namespace,
  ...
}:
buildHomeAssistantComponent rec {
  owner = "Wouter0100";
  domain = "nanokvm";
  version = "v0.0.1";

  src = fetchFromGitHub {
    owner = owner;
    repo = "homeassistant-nanokvm";
    rev = "663f9710dfea109f0bb0417df5828b8d639e70c4";
    hash = "sha256-6rTEOshNCe0x4iEHljqY/6p2TK1HasgNycRHkmo2Hhw=";
  };

  propagatedBuildInputs = [
    pkgs.${namespace}.python-nanokvm
  ];

  meta = {
    changelog = "https://github.com/Wouter0100/homeassistant-nanokvm/releases/tag/${version}";
    description = "This integration allows you to control and monitor your Sipeed NanoKVM device from Home Assistant.";
    homepage = "https://github.com/Wouter0100/homeassistant-nanokvm";
    maintainers = [ ];
  };
}
